> ## Documentation Index
> Fetch the complete documentation index at: https://docs.numeral.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Customer

> Create a new customer

## Customer Endpoint (2024-09-01)

Create a new customer, and optionally mark them as tax exempt.


## OpenAPI

````yaml POST /tax/customers
openapi: 3.0.1
info:
  title: Numeral API
  description: API for sales tax calculations
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.numeralhq.com/
security:
  - bearerAuth: []
paths:
  /tax/customers:
    post:
      description: Create a new customer, and optionally mark them as tax exempt
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CustomerRequest'
        required: true
      responses:
        '200':
          description: Customer creation response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CustomerResponse'
        '400':
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    CustomerRequest:
      type: object
      properties:
        name:
          type: string
          description: The customer's name
          example: Customer Name
        email:
          type: string
          description: The customer's email
          example: customer@example.com
        is_tax_exempt:
          type: boolean
          description: >-
            If true, all `POST /tax/calculations` sold to this customer will
            return $0 in tax owed. The default value is `false`.
          example: true
        reference_customer_id:
          type: string
          description: The ID of the customer in your system
          example: '20506'
      required:
        - email
    CustomerResponse:
      type: object
      properties:
        id:
          type: string
          description: The ID of the customer
          example: cus_123456789
        object:
          type: string
          description: 'The type of object: `tax.customer`'
          example: tax.customer
        reference_customer_id:
          type: string
          description: The ID of the customer in your system
          example: '20506'
        name:
          type: string
          description: The name of the created customer
          example: Customer Name
        email:
          type: string
          description: The email of the created customer
          example: customer@example.com
        is_tax_exempt:
          type: boolean
          description: >-
            If true, all `POST /tax/calculations` sold to this customer will
            return $0 in tax owed. The default value is `false`.
          example: true
    Error:
      type: object
      properties:
        error:
          type: object
          properties:
            error_code:
              type: string
            error_message:
              type: string
            error_meta:
              type: object
              properties:
                field:
                  type: string
                expected:
                  type: string
                received:
                  type: string
        request_id:
          type: string
          description: The ID of the request
          example: req_123456789
      example:
        error:
          error_code: missing_field
          error_message: Field is required
          error_meta:
            field: path.to.fieldname
            expected: string
            received: undefined
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````